{
  "version": "1.24.0",
  "createdWith": "Open Stage Control",
  "type": "fragment",
  "content": {
    "type": "panel",
    "top": 0,
    "left": 0,
    "lock": false,
    "id": "mixer/@{parent.variables.piece}",
    "visible": true,
    "interaction": true,
    "comments": "",
    "width": "100%",
    "height": "100%",
    "expand": "false",
    "colorText": "auto",
    "colorWidget": "auto",
    "colorStroke": "auto",
    "colorFill": "auto",
    "alphaStroke": "auto",
    "alphaFillOff": "auto",
    "alphaFillOn": "auto",
    "lineWidth": "auto",
    "borderRadius": "auto",
    "padding": "auto",
    "html": "",
    "css": "",
    "colorBg": "auto",
    "layout": "default",
    "justify": "start",
    "gridTemplate": "",
    "contain": true,
    "scroll": true,
    "innerPadding": true,
    "tabsPosition": "top",
    "variables": "@{parent.variables}",
    "traversing": false,
    "value": "",
    "default": "",
    "linkId": "",
    "address": "auto",
    "preArgs": "",
    "typeTags": "",
    "decimals": 2,
    "target": "",
    "ignoreDefaults": false,
    "bypass": false,
    "onCreate": "",
    "onValue": "",
    "widgets": [
      {
        "type": "matrix",
        "top": 0,
        "left": 0,
        "lock": false,
        "id": "mixer/@{parent.variables.piece}/volume",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "90%",
        "height": "70%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "horizontal",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "widgetType": "fader",
        "quantity": "@{parent.variables.quantity}",
        "props": {
          "value": 0.75
        },
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [],
        "tabs": []
      },
      {
        "type": "panel",
        "top": 0,
        "left": "90%",
        "lock": false,
        "id": "@{parent.variables.piece}/mixer/hdp/master_panel",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "10%",
        "height": "100%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "default",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [
          {
            "type": "fader",
            "top": 0,
            "left": 0,
            "lock": false,
            "id": "mixer/@{parent.variables.piece}/volume_master",
            "visible": true,
            "interaction": true,
            "comments": "",
            "width": "100%",
            "height": "100%",
            "expand": "false",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorStroke": "auto",
            "colorFill": "auto",
            "alphaStroke": "auto",
            "alphaFillOff": "auto",
            "alphaFillOn": "auto",
            "lineWidth": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "design": "default",
            "knobSize": "auto",
            "horizontal": false,
            "pips": false,
            "dashed": false,
            "gradient": [],
            "snap": false,
            "spring": false,
            "doubleTap": false,
            "range": {
              "min": 0,
              "max": 1
            },
            "logScale": false,
            "sensitivity": 1,
            "steps": "",
            "origin": "auto",
            "value": 0.75,
            "default": 1,
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "onTouch": ""
          }
        ],
        "tabs": []
      },
      {
        "type": "matrix",
        "top": "70%",
        "left": 0,
        "lock": false,
        "id": "mixer/@{parent.variables.piece}/pan",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "90%",
        "height": "15%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "horizontal",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "widgetType": "knob",
        "quantity": "@{parent.variables.quantity}",
        "props": "JS{{\nvar props = {}\nvar labels = @{parent.variables.labels}\nif(@{parent.variables.piece} == \"jaendel\"){\n  props.value = $ % 2\n} else {\n  props.value = $/(@{parent.variables.quantity}-1)\n}\nprops.label = labels[$]\nreturn props\n}}",
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [],
        "tabs": []
      },
      {
        "type": "matrix",
        "top": "85%",
        "left": 0,
        "lock": false,
        "id": "mixer/@{parent.variables.piece}/mute",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "90%",
        "height": "15%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "horizontal",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "widgetType": "button",
        "quantity": "@{parent.variables.quantity}",
        "props": "JS{{\nvar props = {}\nvar labels = @{parent.variables.labels}\nprops.value = 1\nprops.label = labels[$] \nreturn props\n}}",
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [],
        "tabs": []
      }
    ],
    "tabs": []
  }
}